Bug 448554 - undefined default gateway after network installation
undefined default gateway after network installation
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
9
All Linux
low Severity medium
: ---
: ---
Assigned To: David Cantrell
Fedora Extras Quality Assurance
:
Depends On: NMinAnaconda
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-27 12:53 EDT by Erik Heckers
Modified: 2008-09-29 23:38 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-09-29 23:38:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Erik Heckers 2008-05-27 12:53:06 EDT
Description of problem:
Default gateway not properly set after network installation

After installing Fedora 9 my /etc/sysconfig/network looks like this:
NETWORKING=yes
HOSTNAME=__myhost__
GATEWAY=__mygw__
IPV6_DEFAULTGW=

But the (ipv4) default gateway is not set, route command lists:
# route
Kernel IP routing table
Destination     Gateway         Genmask         Flags Metric Ref    Use Iface
__net__      *               255.255.255.0   U     0      0        0 eth0
# 

As soon as I remove the line "IPV6_DEFAULTGW=" and restart networking
with "/etc/init.d/network restart" everything is okay.
# route
Kernel IP routing table
Destination     Gateway         Genmask         Flags Metric Ref    Use Iface
__net__      *               255.255.255.0   U     0      0        0 eth0
default         __mygw__      0.0.0.0         UG    0      0        0 eth0

I tried installing using the "noipv6" option, but still got that 
"IPV6_DEFAULTGW=" line.

Version-Release number of selected component (if applicable):
As provided by Fedora 9 images

How reproducible:
Always

Steps to Reproduce:
1. Install Fedora 9 over network (with static ip in ks.cfg)
2. Check routing with "route" - default route missing.
3.

Actual results:
/etc/sysconfig/network looks okay, but as long as the
line "IPV6_DEFAULTGW=" is in there no default route is set
when restarting network with "/etc/init.d/network restart".

Expected results:
Default route using the gateway specified in /etc/sysconfig/network
with "GATEWAY=gw"
The "IPV6_DEFAULTGW" is something new, I have never seen it with
installation of RHEL 3,4, or 5.

Additional info:
In ks.cfg I have
network --device eth0 --bootproto static --ip __myip__ --netmask 255.255.255.0
--gateway __mygw__ --hostname __myhost__ 

Workaround: Remove line "IPV6_DEFAULTGW=" from /etc/sysconfig/network in
%post section of ks.cfg.

Bye
  Erik
Comment 1 Nik Lam 2008-07-28 20:43:15 EDT
I can confirm most of this behaviour when installing from DVD in GUI mode,
except the workaround for me is quite different.

I configured IPV4 manually and when I boot up the newly installed system, there
is no default route, according to "netstat -rn".

Kernel IP routing table
Destination     Gateway          Genmask        Flags    MSS Window   irtt Iface
172.16.72.0     0.0.0.0          255.255.255.0  U          0 0           0 eth0

However, unlike in Erik's case, neither commenting out the IPV6_DEFAULTGW line
in /etc/sysconfig/network with a "#" or deleting the line entirely solves the
problem. 

For me, I had to add "GATEWAY=172.16.72.254" to my
/etc/sysconfig/network-scripts/ifcfg-eth0 script to get the default route to
appear after a reboot.
Comment 2 Nik Lam 2008-07-29 02:07:44 EDT
I've just done a yum update, and now the original /etc/sysconfig/network and
/etc/sysconfig/network-scripts/ifcfg-eth0 as created during the install work fine.

Note You need to log in before you can comment on or make changes to this bug.